Agent-readable docs index: /llms.txt. Full docs in one file: /llms-full.txt. Download /docs.zip to grep all markdown files locally.
/v1/server-verificationsPOST
Authorization
bearerAuth *Bearer <token>
Token in: header
Request Bodyapplication/jsonrequired
server *string
Min length: 1Max length: 160
Response
200 · Server verification status
server *string
status *"verified" | "pending" | "not_found" | "unavailable"
terminalBuild *stringnull
generationId *stringnull
observedAt *string
latencyMs *number
202 · Server discovery queued or pending
server *string
status *"verified" | "pending" | "not_found" | "unavailable"
terminalBuild *stringnull
generationId *stringnull
observedAt *string
latencyMs *number
400 · Invalid request
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
401 · Invalid API key
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
403 · Insufficient API key scope
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
413 · Request body too large
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
429 · Rate limit exceeded
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
500 · Unexpected failure
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
503 · Capacity exhausted or upstream unavailable
error *object
Show properties
code *"invalid_request" | "invalid_api_key" | "insufficient_scope" | "account_not_found" | "account_disabled" | "server_not_verified" | "server_not_found" | "broker_unreachable" | "credentials_rejected" | "capacity_exhausted" | "rate_limit_exceeded" | "request_timeout" | "server_state_unavailable" | "terminal_unhealthy" | "conflict" | "internal_error"
message *string
requestId *string
Request example
curl -X POST "https://api.fivesocket.com/v1/server-verifications" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "server": "string" }'